## com.baidubce.services.bmr.model
Class GetClusterResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bmr.model.GetClusterResponse

    public class GetClusterResponse

extends AbstractBceResponse

Represent the response of GetClusterRequest. The response contains the properties of the target cluster, such as: id, imageType, imageVersion, logUri, name, autoTerminate, status, applications.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetClusterResponse()`

Method Summary
`List<Application>` `getApplications()`
`boolean` `getAutoTerminate()`
`String` `getId()`
`String` `getImageType()`
`String` `getImageVersion()`
`String` `getLogUri()`
`String` `getName()`
`ClusterStatus` `getStatus()`
`void` `setApplications(List<Application> applications)`
`void` `setAutoTerminate(boolean autoTerminate)`
`void` `setId(String id)`
`void` `setImageType(String imageType)`
`void` `setImageVersion(String imageVersion)`
`void` `setLogUri(String logUri)`
`void` `setName(String name)`
`void` `setStatus(ClusterStatus status)`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetClusterResponse

    public GetClusterResponse()

Method Detail

### getId

    public String getId()

### setId

    public void setId(String id)

### getImageType

    public String getImageType()

### setImageType

    public void setImageType(String imageType)

### getImageVersion

    public String getImageVersion()

### getName

    public String getName()

### setName

    public void setName(String name)

### getLogUri

    public String getLogUri()

### setLogUri

    public void setLogUri(String logUri)

### setImageVersion

    public void setImageVersion(String imageVersion)

### getAutoTerminate

    public boolean getAutoTerminate()

### setAutoTerminate

    public void setAutoTerminate(boolean autoTerminate)

### getStatus

    public ClusterStatus getStatus()

### setStatus

    public void setStatus(ClusterStatus status)

### getApplications

    public List<Application> getApplications()

### setApplications

    public void setApplications(List<Application> applications)

Copyright © 2016. All rights reserved.